import { GridColumnOptionsViewBase } from "./GridColumnOptionsViewBase";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
import { EventArgs, Type, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { GridColumnOptionsSectionBase } from "./GridColumnOptionsSectionBase";
import { FilterApplyButtonClickEventArgs } from "./FilterApplyButtonClickEventArgs";
import { FilterCancelButtonClickEventArgs } from "./FilterCancelButtonClickEventArgs";
/**
 * @hidden
 */
export declare class GridColumnFilterOptionsView extends GridColumnOptionsViewBase {
    static $t: Type;
    private y;
    private z;
    private u;
    private x;
    private aa;
    private t;
    private v;
    private w;
    private q;
    private o;
    private p;
    private static readonly ab;
    m(): void;
    private readonly n;
    al(a: boolean): void;
    am(a: boolean): void;
    ah(a: any): void;
    aj(a: any): void;
    ai(a: any): void;
    ak(a: any): void;
    applyButtonClick: (sender: any, e: EventArgs) => void;
    cancelButtonClick: (sender: any, e: EventArgs) => void;
    private af;
    private ag;
    private ac;
    private ad;
    private ae;
}
/**
 * @hidden
 */
export declare class GridColumnFilterOptions extends GridColumnOptionsSectionBase {
    static $t: Type;
    private b2;
    constructor();
    protected f(): GridColumnOptionsViewBase;
    bq(): boolean;
    protected a5(): void;
    protected a6(a: any, b: PropertyChangedEventArgs): void;
    protected onViewInitialized(): void;
    protected bc(a: string, b: any, c: any): void;
    readonly bw: GridColumnFilterOptionsView;
    private b6;
    b7: string;
    private ca;
    cb: string;
    private ce;
    cf: string;
    private cj;
    ck: string;
    private by;
    b1: ControlDisplayDensity;
    private bx;
    bz: ControlDisplayDensity;
    private cn;
    co: string;
    private c4;
    private cr;
    provideClearFiltersSection(a: any): void;
    provideFilterSection(a: any): void;
    provideFilterCheckboxListSection(a: any): void;
    provideFilterButtonSection(a: any): void;
    provideMainDiv(a: any): void;
    ct(): void;
    private static bt;
    private b3;
    private cy;
    private c7;
    private c5;
    private b4;
    private static cu;
    private c6;
    private cs;
    private cv;
    private c8;
    private c9;
    applyButtonClick: (sender: any, args: FilterApplyButtonClickEventArgs) => void;
    cancelButtonClick: (sender: any, args: FilterCancelButtonClickEventArgs) => void;
    private cw;
    private cx;
}
